OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
NPFFoundTargetData Struct Reference

Meant to be stored in AyStar.userpath. More...

## Data Fields
uint | best_bird_dist
| The best heuristic found. Is 0 if the target was found.
uint | best_path_dist
| The shortest path. Is UINT_MAX if no path is found.
Trackdir | best_trackdir
| The trackdir that leads to the shortest path/closest birds dist.
AyStarNode | node
| The node within the target the search led us to.
bool | res_okay
| True if a path reservation could be made.

## Detailed Description

Meant to be stored in AyStar.userpath.

Definition at line 68 of file npf.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/npf/npf.cpp